Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004835TestLinkReportspublic2011-12-12 20:042013-05-31 17:49
Reporterpaulewog 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformTestLink 1.9.3OSLinuxOS VersionSLES 10.3
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0004835: When attempting to generate "Test Plan Report," checkbox selections actually do not change report options/display.
DescriptionWhen trying to display a Test Plan Report, regardless of format (I use HTML since it's easiest to immediately see the results), the checkbox options for what to display in the report do not appear to actually change anything in the report. The report ends up with almost no information aside from test case and test suite titles and whether it's manual or automated execution.
Steps To Reproduce* Select "Test Plan Report" from the Test Reports page.
* Check some of the checkboxes that show in the right pane; e.g., "Test Case Summary"
* Select a test suite from the tree.
Additional InformationI did not see any related issues. Apologies if I missed one. If you need more information, let me know...
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome 15
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0016143)
paulewog (reporter)
2011-12-12 20:04

I dug around in the code a bit and it looks like the issue is on the in sending the checkbox statuses to the printDocument.php page. I added some print_r statements to $_REQUEST, etc., and there's no checkbox information there. If I hard-code what I want to display, it works (I am using this as a workaround right now).

The tree appears to be using the default STS function for on-click events. I don't know how exactly the checkbox selection information is supposed to get into $_REQUEST using this function, since it updates the URL automatically with window.location....
(0016144)
fman (administrator)
2011-12-13 11:13

have you already search for similar issues ?
(0016146)
paulewog (reporter)
2011-12-13 16:36

I did, I didn't find any..

- Issue History
Date Modified Username Field Change
2011-12-12 20:04 paulewog New Issue
2011-12-12 20:04 paulewog Note Added: 0016143
2011-12-13 11:13 fman Note Added: 0016144
2011-12-13 16:36 paulewog Note Added: 0016146
2013-05-31 17:49 fman QA Team - Task Workflow Status => TBD
2013-05-31 17:49 fman Status new => closed
2013-05-31 17:49 fman Assigned To => fman
2013-05-31 17:49 fman Resolution open => fixed
2013-05-31 17:49 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker